(*
 * This file is part of Cafesterol.
 * Copyright (C) 2007-2010 Xavier Clerc.
 *
 * Cafesterol is free software; you can redistribute it and/or modify
 * it under the terms of the Q Public License as published by
 * Trolltech (with a change to choice of law).
 *
 * Cafesterol is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Q Public License for more details.
 *
 * You should have received a copy of the Q Public License
 * along with this program.  If not, see
 * <http://qt.nokia.com/doc/4.0/qpl.html>.
 *)

let applet = ref false            (* -applet *)
let dump_jlambda = ref false      (* -djlambda *)
let dump_minstr = ref false       (* -dminstr *)
let class_path = ref []           (* -classpath ... *)
let no_builtin = ref false        (* -nobuiltin *)
let print_primitives = ref false  (* -print-primitives *)
let additional_providers = ref [] (* -provider ... *)
let java_package = ref "pack"     (* -java-package ... *)
let cadmium_parameters = ref [""] (* -cadmium-parameter ... *)
let scripting = ref false         (* -scripting *)
let standalone = ref false        (* -standalone *)
let additional_classes = ref []   (* -additional-class ... *)
let additional_files = ref []     (* -additional-file ... *)
let additional_jars = ref []      (* -additional-jar ... *)
let servlet = ref None            (* -servlet ... *)
let no_merge = ref false          (* -nomerge *)
let no_stackmap = ref false       (* -nostackmap *)
