(*
 * This file is part of Cafesterol.
 * Copyright (C) 2007-2010 Xavier Clerc.
 *
 * Cafesterol is free software; you can redistribute it and/or modify
 * it under the terms of the Q Public License as published by
 * Trolltech (with a change to choice of law).
 *
 * Cafesterol is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Q Public License for more details.
 *
 * You should have received a copy of the Q Public License
 * along with this program.  If not, see
 * <http://qt.nokia.com/doc/4.0/qpl.html>.
 *)

(** Pretty-printing for Jlambda structure. *)

val jlambda : Format.formatter -> Jlambda.jlambda -> unit
(** [jlambda fmt j] prints the jlambda [j] onto [fmt]. *)

val primitive : Format.formatter -> Lambda.primitive -> unit
(** [primitive fmt p] prints the primitive [p] onto [fmt]. *)
